curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/dueDateSchemes/{dueDateSchemeUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/dueDateSchemes/{dueDateSchemeUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/dueDateSchemes/{dueDateSchemeUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"afterDelivery": {
"option": "QUOTA_BASED",
"time": 123,
"timeUnit": "DAY"
},
"afterStart": {
"dayTypeUnit": "SAME",
"hoursAfterSubmission": 123,
"option": "IMMEDIATELY",
"startTime": 123,
"startTimeUnit": "DAY"
},
"deadlineExtensions": [
{
"numberOfTimeUnits": 123,
"quantity": 123,
"timeUnit": "HOUR",
"unit": "Character"
}
],
"duringDelivery": {
"option": "QUOTA_BASED",
"time": 123,
"timeUnit": "DAY"
},
"duringStart": {
"dayTypeUnit": "SAME",
"hoursAfterSubmission": 123,
"option": "IMMEDIATELY",
"startTime": 123,
"startTimeUnit": "DAY"
},
"isDefault": true,
"name": "<string>",
"nonBusinessDays": [
"2023-11-07T05:31:56Z"
],
"officeHours": {
"from": 123,
"to": 123
},
"quota": {
"quantity": 123,
"timeUnit": "HOUR",
"unit": "Character"
},
"uid": "<string>",
"workingDays": [
"MONDAY"
]
}Get due date scheme
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the due date scheme
Response
OK
Due date scheme details
Rule applied to determine the due date completion time, based on when the job is completed relative to office hours
Show child attributes
Show child attributes
Rule applied to determine the due date start time, based on when the job was received relative to office hours
Show child attributes
Show child attributes
Deadline extension rules
Show child attributes
Show child attributes
Rule applied to determine the due date completion time, based on when the job is completed relative to office hours
Show child attributes
Show child attributes
Rule applied to determine the due date start time, based on when the job was received relative to office hours
Show child attributes
Show child attributes
Name of the due date scheme
Dates excluded as non-business days
Office hours window used to calculate the due date
Show child attributes
Show child attributes
Volume of work a due date scheme's quota is calculated from
Show child attributes
Show child attributes
Unique identifier of the due date scheme
Days of week considered working days. Empty means every day.
MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY Was this page helpful?